FreeMat

- Main Page
- Related Pages

vtkHyperOctreeAlgorithm

Section: Visualization Toolkit Filtering Classes

# Usage

To create an instance of class vtkHyperOctreeAlgorithm, simply invoke its constructor as follows

      obj = vtkHyperOctreeAlgorithm

# Methods

The class vtkHyperOctreeAlgorithm has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkHyperOctreeAlgorithm class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkHyperOctreeAlgorithm = obj.NewInstance ()`
- `vtkHyperOctreeAlgorithm = obj.SafeDownCast (vtkObject o)`
- `vtkHyperOctree = obj.GetOutput ()` - Get the output data object for a port on this algorithm.
- `vtkHyperOctree = obj.GetOutput (int )` - Get the output data object for a port on this algorithm.
- `obj.SetOutput (vtkDataObject d)` - Get the output data object for a port on this algorithm.
- `vtkDataObject = obj.GetInput ()`
- `vtkDataObject = obj.GetInput (int port)`
- `vtkHyperOctree = obj.GetHyperOctreeInput (int port)`
- `obj.SetInput (vtkDataObject )` - Set an input of this algorithm.
- `obj.SetInput (int , vtkDataObject )` - Set an input of this algorithm.
- `obj.AddInput (vtkDataObject )` - Add an input of this algorithm.
- `obj.AddInput (int , vtkDataObject )` - Add an input of this algorithm.